<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">


    <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

        <ui:param name="panel_id" value="generalInfoPanel"/>

        <dl class="dl-horizontal">

            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.mca.FileBeingAnalyzed']}</ui:define>
                <h:outputText  value="#{objectParam.getObject().originalFileName}"/>
            </s:decorate>

            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:param name="id" value="nameInput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.mca.saml.oid']}</ui:define>
                <h:outputText
                        value="#{objectParam.oid}"/>
            </s:decorate>

            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:param name="id" value="nameInput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.mca.AnalysisDate']} </ui:define>
                <g:date date="true" time="true"
                        value="#{objectParam.date}"
                        tooltip="false"/>
            </s:decorate>

            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:param name="id" value="nameInput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.mca.Permanent.Link']} :</ui:define>
                <h:outputLink
                        value="#{analysisBeanGui.getPermanentLink(objectParam)}"
                        target="_blank">
                    <h:outputText
                            value="#{analysisBeanGui.getPermanentLink(objectParam)}"/>
                </h:outputLink>
            </s:decorate>

            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:param name="id" value="nameInput"/>
                <ui:define name="label"> #{messages['net.ihe.gazelle.mca.AnalyzerVersion']}</ui:define>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.EVSClient']} #{objectParam.contentAnalyzerVersion}"/>
            </s:decorate>

            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:param name="id" value="nameInput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.mca.DataVisibility']}</ui:define>

                <c:choose>
                    <c:when test="#{!objectParam.sharing.getIsPrivate()}">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.Public']}"/>
                        <h:outputText
                                rendered="#{identity.loggedIn and not empty objectParam.getOwner().getUsername()}"
                                value=" - #{messages['net.ihe.gazelle.evsclient.OwnedBy']} #{analysisBeanGui.getUserName(objectParam.getOwner().getUsername())} / #{objectParam.getOwner().getOrganization()}"/>
                    </c:when>
                    <c:otherwise>
                        <h:outputText rendered="#{objectParam.getSharing().getPrivacyKey() == null}"
                                      value="#{messages['net.ihe.gazelle.mca.Private']}"/>
                        <h:outputText rendered="#{objectParam.getSharing().getPrivacyKey() != null}"
                                      value="#{messages['net.ihe.gazelle.EVSClient-ui.Shared']}"/>
                        <h:outputText
                                rendered="#{identity.loggedIn and not empty objectParam.getOwner().getUsername()}"
                                value=" - #{messages['net.ihe.gazelle.evsclient.OwnedBy']} #{analysisBeanGui.getUserName(objectParam.getOwner().getUsername())} / #{objectParam.getOwner().getOrganization()}"/>
                    </c:otherwise>
                </c:choose>
            </s:decorate>

        </dl>

        <ui:define name="panel_title">
            <em class="pull-right">
                <c:choose>
                    <c:when test="#{identity.loggedIn}">
                        <c:choose>
                            <c:when test="#{!objectParam.sharing.getIsPrivate()}">
                                <s:span styleClass="gzl-icon-unlock"/>
                            </c:when>
                            <c:otherwise>
                                <c:choose>
                                    <c:when test="#{not empty objectParam.getSharing().getPrivacyKey()}">
                                        <s:span styleClass="gzl-icon-share-alt text-info"/>
                                    </c:when>
                                </c:choose>
                                <s:span styleClass="gzl-icon-lock"/>
                            </c:otherwise>
                        </c:choose>
                    </c:when>
                </c:choose>

            </em>
            <h:outputText value="#{messages['net.ihe.gazelle.mca.information']}"/>
        </ui:define>

        <ui:define name="panel_footer">
            <s:div styleClass="gzl-never-wrap">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.mca.MakeThisResultPublic']}"
                                   title="#{messages['net.ihe.gazelle.mca.EverybodyWillHaveAccessToThisResult']}"
                                   actionListener="#{analysisBeanGui.makeResultPublic()}"
                                   styleClass="gzl-btn-blue" render="resultForm" execute="@form"
                                   rendered="#{identity.loggedIn and objectParam.sharing.getIsPrivate()}"/>

                <a4j:commandButton value="#{messages['net.ihe.gazelle.mca.ShareThisResult']}"
                                   title="#{messages['net.ihe.gazelle.mca.OnlyTheUsersWhoKnowThePermanentLinkWillHaveAcces']}"
                                   actionListener="#{analysisBeanGui.shareResult()}"
                                   rendered="#{identity.loggedIn and objectParam.sharing.getIsPrivate() and empty objectParam.getSharing().getPrivacyKey()}"
                                   styleClass="gzl-btn-blue" render="resultForm" execute="@form" />

                <a4j:commandButton value="#{messages['net.ihe.gazelle.EVSClient-ui.StopSharingThisResult']}"
                                   title="#{messages['net.ihe.gazelle.mca.ThisResultWillOnlyBeAccessibleByYouAndMonitors']}"
                                   actionListener="#{analysisBeanGui.makeResultPrivate()}"
                                   rendered="#{identity.loggedIn and objectParam.sharing.getIsPrivate() and not empty objectParam.getSharing().getPrivacyKey()}"
                                   styleClass="gzl-btn-blue" render="resultForm" execute="@form" />

                <a4j:commandButton value="#{messages['net.ihe.gazelle.mca.MakeThisResultPrivate']}"
                                   title="#{messages['net.ihe.gazelle.mca.ThisResultWillOnlyBeAccessibleByYouAndMonitors']}"
                                   rendered="#{identity.loggedIn and !objectParam.sharing.getIsPrivate() and objectParam.getOwner().getUsername() == identity.username}"
                                   actionListener="#{analysisBeanGui.makeResultPrivate()}"
                                   styleClass="gzl-btn-blue" render="resultForm" execute="@form" />

                <a4j:commandButton styleClass="gzl-btn-blue" id="reusedMessageButton" action="#{analysisBeanGui.execute()}"
                                   value="#{messages['net.ihe.gazelle.mca.ReAnalyze']}" rendered="#{!analysisBeanGui.getAnalysis().getRootAnalysisPart().isEmpty()}"/>
            </s:div>
        </ui:define>
    </ui:decorate>
</ui:composition>

